hi,i have on my android tablet v 2.4.83 the last android for the archos 101(A101it-v5),sygic truck is installed 13.5.0
i downloaded map nt 2018.03 but sygic doesn't function with these maps.i don't understand .perhaps my sygic is too old ?
i put the last wcl with mapdownloader .
thanks to explain the problem

[Login or Register to remove this advertisement]

@+
boc4 Reviewed by boc4 on . sygic 13.5.0 and maps nt 2018.03 ? hi,i have on my android tablet v 2.4.83 the last android for the archos 101(A101it-v5),sygic truck is installed 13.5.0 i downloaded map nt 2018.03 but sygic doesn't function with these maps.i don't understand .perhaps my sygic is too old ? i put the last wcl with mapdownloader . thanks to explain the problem @+ Rating: 5